# network qos rule

A Network QoS rule specifies a rule defined in a Network QoS policy; its type is defined by the parameter ‘type’. Can be assigned, within a Network QoS policy, to a port or a network. Each Network QoS policy can contain several rules, each of them

Network v2

## network qos rule create

Create new Network QoS rule

    openstack network qos rule create
        [--extra-property type=<property_type>,name=<property_name>,value=<property_value>]
        --type <type>
        [--max-kbps <max-kbps>]
        [--max-burst-kbits <max-burst-kbits>]
        [--dscp-mark <dscp-mark>]
        [--min-kbps <min-kbps>]
        [--min-kpps <min-kpps>]
        [--ingress
        |
        --egress
        |
        --any
        ]
        <qos-policy>

--extra-property type=<property_type>,name=<property_name>,value=<property_value>

  Additional parameters can be passed using this property. Default type of the extra property is string (‘str’), but other types can be used as well. Available types are: ‘dict’, ‘list’, ‘str’, ‘bool’, ‘int’. In case of ‘list’ type, ‘value’ can be semicolon-separated list of values. For ‘dict’ value is semicolon-separated list of the key:value pairs.

--type <type>

  QoS rule type (minimum-bandwidth, minimum-packet-rate, dscp-marking, bandwidth-limit)

--max-kbps <max-kbps>

  Maximum bandwidth in kbps

--max-burst-kbits <max-burst-kbits>

  Maximum burst in kilobits, 0 or not specified means automatic, which is 80%% of the bandwidth limit, which works for typical TCP traffic. For details check the QoS user workflow.

--dscp-mark <dscp-mark>

  DSCP mark: value can be 0, even numbers from 8-56, excluding 42, 44, 50, 52, and 54

--min-kbps <min-kbps>

  Minimum guaranteed bandwidth in kbps

--min-kpps <min-kpps>

  Minimum guaranteed packet rate in kpps

--ingress

  Ingress traffic direction from the project point of view

--egress

  Egress traffic direction from the project point of view

--any

  Any traffic direction from the project point of view. Can be used only with minimum packet rate rule.

qos-policy

  QoS policy that contains the rule (name or ID)

## network qos rule delete

Delete Network QoS rule

    openstack network qos rule delete <qos-policy> <rule-id>

qos-policy

  QoS policy that contains the rule (name or ID)

rule-id

  Network QoS rule to delete (ID)

## network qos rule list

List Network QoS rules

    openstack network qos rule list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        <qos-policy>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

qos-policy

  QoS policy that contains the rule (name or ID)

## network qos rule set

Set Network QoS rule properties

    openstack network qos rule set
        [--extra-property type=<property_type>,name=<property_name>,value=<property_value>]
        [--max-kbps <max-kbps>]
        [--max-burst-kbits <max-burst-kbits>]
        [--dscp-mark <dscp-mark>]
        [--min-kbps <min-kbps>]
        [--min-kpps <min-kpps>]
        [--ingress
        |
        --egress
        |
        --any
        ]
        <qos-policy>
        <rule-id>

--extra-property type=<property_type>,name=<property_name>,value=<property_value>

  Additional parameters can be passed using this property. Default type of the extra property is string (‘str’), but other types can be used as well. Available types are: ‘dict’, ‘list’, ‘str’, ‘bool’, ‘int’. In case of ‘list’ type, ‘value’ can be semicolon-separated list of values. For ‘dict’ value is semicolon-separated list of the key:value pairs.

--max-kbps <max-kbps>

  Maximum bandwidth in kbps

--max-burst-kbits <max-burst-kbits>

  Maximum burst in kilobits, 0 or not specified means automatic, which is 80%% of the bandwidth limit, which works for typical TCP traffic. For details check the QoS user workflow.

--dscp-mark <dscp-mark>

  DSCP mark: value can be 0, even numbers from 8-56, excluding 42, 44, 50, 52, and 54

--min-kbps <min-kbps>

  Minimum guaranteed bandwidth in kbps

--min-kpps <min-kpps>

  Minimum guaranteed packet rate in kpps

--ingress

  Ingress traffic direction from the project point of view

--egress

  Egress traffic direction from the project point of view

--any

  Any traffic direction from the project point of view. Can be used only with minimum packet rate rule.

qos-policy

  QoS policy that contains the rule (name or ID)

rule-id

  Network QoS rule to set (ID)

## network qos rule show

Display Network QoS rule details

    openstack network qos rule show <qos-policy> <rule-id>

qos-policy

  QoS policy that contains the rule (name or ID)

rule-id

  Network QoS rule to show (ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.